Data handling nodes.

This group collects all nodes related to data handling. More...

## Classes

class | sdr::AutoCast< Scalar >
| This class performs some automatic casts to a certain buffer type (if possible) specified by the template argument. More...
class | sdr::AX25
| Decodes AX25 (PacketRadio) messages from a bit stream. More...
class | sdr::Baudot
| Implements a Baudot decoder. More...
class | sdr::BufferNode< Scalar >
| A simple buffering node, that ensures a fixed buffer size. More...
class | sdr::Combine< Scalar >
| A combine node. More...
class | sdr::Interleave< Scalar >
| Interleaves several input streams. More...
class | sdr::POCSAG::Message
| A pocsag message. More...
class | sdr::POCSAG
| Implements a POCSAG decoder. More...
class | sdr::POCSAGDump
| A simple extention of the `POCSAG` node that prints the received messages to a `std::ostream`. More...
class | sdr::Varicode
| Simple varicode (Huffman code) decoder node. More...
class | sdr::RealImagPart< Scalar >
| Extracts the real or imaginary part of a complex valued data stream. More...
class | sdr::RealPart< Scalar >
| Selects the real part of a complex signal. More...
class | sdr::ImagPart< Scalar >
| Selects the imaginary part of a complex signal. More...
class | sdr::ToComplex< iScalar, oScalar >
| Tiny helper node to transform a real part into a complex, including a possible type-cast. More...
class | sdr::Cast< iScalar, oScalar >
| Explicit type cast node. More...
class | sdr::UnsignedToSigned
| Performs a reinterprete cast from an unsinged value to a singed one. More...
class | sdr::SignedToUnsigned
| Performs a reinterprete cast from an unsinged value to a singed one. More...

## Enumerations

enum | sdr::Baudot::Mode { sdr::Baudot::LETTERS, sdr::Baudot::FIGURES }
| Specifies the current code-tables. More...
enum | sdr::Baudot::StopBits { sdr::Baudot::STOP1, sdr::Baudot::STOP15, sdr::Baudot::STOP2 }
| Specifies the number of stop bits. More...
enum | sdr::POCSAG::State { sdr::POCSAG::WAIT, sdr::POCSAG::RECEIVE, sdr::POCSAG::CHECK_CONTINUE }
| The possible states of the POGSAC receiver. More...

## Detailed Description

This group collects all nodes related to data handling.

I.e. type casts etc.

## Enumeration Type Documentation

enum sdr::Baudot::Mode

Specifies the current code-tables.

Enumerator
LETTERS | Letters.
FIGURES | Numbers, symbols etc.

enum sdr::POCSAG::State

protected

The possible states of the POGSAC receiver.

Enumerator
WAIT | Wait for a sync word.
RECEIVE | Receive data.
CHECK_CONTINUE | Wait for the sync word for continuation.

enum sdr::Baudot::StopBits

Specifies the number of stop bits.

Enumerator
STOP1 | 1 stop bit.
STOP15 | 1.5 stop bits.
STOP2 | 2 stop bits.